Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Tool

    java.lang.Object
      java.awt.Image
          java.awt.image.BufferedImage
              Brush
                  Tool

All Implemented Interfaces:
  java.awt.image.RenderedImage, java.awt.image.WritableRenderedImage, java.awt.Transparency

Direct Known Subclasses:
  EllipseFillTool, EllipseSelectTool, EllipseTool, MoverTool, PolygonFillTool, PolygonTool, RectangleFillTool, RectangleSelectTool, RectangleTool

    public abstract class Tool

extends Brush

TODO Put here a description of what this class does.

Author:
  Ian Roberts. Created Mar 25, 2008.

Field Summary
`protected Canvas` | `c` the canvas the tool is used on
`protected int` | `x` the x point of a tool
`protected int` | `y` the y point of a tool

Fields inherited from class Brush
`name`

Fields inherited from class java.awt.image.BufferedImage
`TYPE_3BYTE_BGR, TYPE_4BYTE_ABGR, TYPE_4BYTE_ABGR_PRE, TYPE_BYTE_BINARY, TYPE_BYTE_GRAY, TYPE_BYTE_INDEXED, TYPE_CUSTOM, TYPE_INT_ARGB, TYPE_INT_ARGB_PRE, TYPE_INT_BGR, TYPE_INT_RGB, TYPE_USHORT_555_RGB, TYPE_USHORT_565_RGB, TYPE_USHORT_GRAY`

Fields inherited from class java.awt.Image
`accelerationPriority, SCALE_AREA_AVERAGING, SCALE_DEFAULT, SCALE_FAST, SCALE_REPLICATE, SCALE_SMOOTH, UndefinedProperty`

Fields inherited from interface java.awt.Transparency
`BITMASK, OPAQUE, TRANSLUCENT`

Constructor Summary
`Tool(int s, java.io.File f, java.lang.String S)` the generic constructor for all tool classes

Method Summary
`abstract void` | `finish()` this is the method that puts the drawn item onto the canvs for all tools except polygon
`int` | `getX()` returns the x component
`int` | `getY()` returns the y component

Methods inherited from class Brush
`getSize, Paint, toString`

Methods inherited from class java.awt.image.BufferedImage
`addTileObserver, coerceData, copyData, createGraphics, getAlphaRaster, getColorModel, getData, getData, getGraphics, getHeight, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getProperty, getPropertyNames, getRaster, getRGB, getRGB, getSampleModel, getSource, getSources, getSubimage, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getTransparency, getType, getWidth, getWidth, getWritableTile, getWritableTileIndices, hasTileWriters, isAlphaPremultiplied, isTileWritable, releaseWritableTile, removeTileObserver, setData, setRGB, setRGB`

Methods inherited from class java.awt.Image
`flush, getAccelerationPriority, getCapabilities, getScaledInstance, setAccelerationPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    protected int x

  the x point of a tool

### y

    protected int y

  the y point of a tool

### c

    protected Canvas c

  the canvas the tool is used on

Constructor Detail

### Tool

    public Tool(int s,
                java.io.File f,
                java.lang.String S)

  the generic constructor for all tool classes

  Parameters:
    `s` - size of the icon length and width
    `f` - name of the icon file
    `S` - the name of the tool that appears on the list

Method Detail

### finish

    public abstract void finish()

  this is the method that puts the drawn item onto the canvs for all tools except polygon

### getX

    public int getX()

  returns the x component

  Returns:
    the x component

### getY

    public int getY()

  returns the y component

  Returns:
    the y component

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD